Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.vcard
Class VCardEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.vcard.VCardEventDispatcher

    public class VCardEventDispatcher

extends Object

Dispatches vCard events. The following events are supported:

- VCardCreated --> A VCard has been created.
- VCardDeleted --> A VCard has been deleted.
- VCardUpdate --> A VCard has been updated.

Use `addListener(org.jivesoftware.openfire.vcard.VCardListener)` to add or remove `VCardListener`.

Author:
  Gabriel Guardincerri

Constructor Summary
`VCardEventDispatcher()`

Method Summary
`static void` | `addListener(VCardListener listener)` Registers a listener to receive events when a vCard is created, updated or deleted.
`static void` | `dispatchVCardCreated(String user, org.dom4j.Element vCard)` Dispatches that a vCard was created to all listeners.
`static void` | `dispatchVCardDeleted(String user, org.dom4j.Element vCard)` Dispatches that a vCard was deleted to all listeners.
`static void` | `dispatchVCardUpdated(String user, org.dom4j.Element vCard)` Dispatches that a vCard was updated to all listeners.
`static void` | `removeListener(VCardListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VCardEventDispatcher

    public VCardEventDispatcher()

Method Detail

### addListener

    public static void addListener(VCardListener listener)

  Registers a listener to receive events when a vCard is created, updated or deleted.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(VCardListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### dispatchVCardUpdated

    public static void dispatchVCardUpdated(String user,
                                            org.dom4j.Element vCard)

  Dispatches that a vCard was updated to all listeners.

  Parameters:
    `user` - the user for which the vCard was set.
    `vCard` - the vcard updated.

### dispatchVCardCreated

    public static void dispatchVCardCreated(String user,
                                            org.dom4j.Element vCard)

  Dispatches that a vCard was created to all listeners.

  Parameters:
    `user` - the user for which the vCard was created.
    `vCard` - the vcard created.

### dispatchVCardDeleted

    public static void dispatchVCardDeleted(String user,
                                            org.dom4j.Element vCard)

  Dispatches that a vCard was deleted to all listeners.

  Parameters:
    `user` - the user for which the vCard was deleted.
    `vCard` - the vcard deleted.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.